socklog (2.1.0+repack-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Timo Röhling ]
  * Replace dh-sysusers with dh-sequence-installsysusers.
    (Closes: #1071149)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 21:08:18 +0200

socklog (2.1.0+repack-5) unstable; urgency=medium

  * Various uninteresting changes
  * watch, repack.sh: append +repack to tarball filename
  * Refresh lintian overrides
  * service/socklog-unix: remove supervise symlink (Closes: #1031794)
  * control: bump debian policy to 4.6.2, no change required
  * gitlab-ci.yml: disable unnecessary jobs
  * gbp.conf: add configuration file

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 06 Mar 2023 22:01:18 +0100

socklog (2.1.0+repack-4) unstable; urgency=medium

  * copyright: bump the year
  * control: bump debian policy to 4.5.1
  * Split runit integration as socklog-run (Closes: #977600)
  * Service user names should begin with an underscore

 -- Mathieu Mirmont <mat@parad0x.org>  Tue, 22 Dec 2020 22:40:42 +0100

socklog (2.1.0+repack-3) unstable; urgency=medium

  * control: relax depencency on runit-run | runit-init (Closes: #973671)
  * patches: fix some build warnings

 -- Mathieu Mirmont <mat@parad0x.org>  Tue, 10 Nov 2020 12:01:07 +0100

socklog (2.1.0+repack-2) unstable; urgency=medium

  * control: bump debhelper compatibility level to 13
  * control: bump debian policy to 4.5.0
  * control: remove sysvinit scripts
  * control: add Rules-Requires-Root
  * source/lintian-overrides: refresh the file
  * gitlab-ci.yml: refresh the file
  * General cleanups

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 02 Nov 2020 03:07:30 +0100

socklog (2.1.0+repack-1) experimental; urgency=medium

  * uscan: add watch file and repack.sh script
  * New upstream version 2.1.0+repack
  * Convert the package to debhelper (Closes: #857208)
  * patch: socklog-conf(8): refer to update-service(8)
  * patch: tryto.c: don't fail if the final try succeeds
  * socklog-run: migrate to dh-runit (Closes: #668718, #834089)
  * Merge socklog and socklog-run
  * source/lintian-overrides: no https upstream
  * doc-base: register the html documentation
  * copyright: convert to DEP-5 format
  * gitlab-ci.yml: add GitLab CI file
  * patch: Makefile: bypass the chkshsgr test in CI
  * Add sysv init scripts
  * control: update the Vcs fields
  * control: new maintainer (Closes: #907092)

 -- Mathieu Mirmont <mat@parad0x.org>  Fri, 12 Apr 2019 00:24:26 +0200

socklog (2.1.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the build reproducible:
    + Pass -n to gzip.
      Thanks to Chris Lamb for the patch.  Closes: #777419
    + Sort the md5sums file.
      Thanks to Valerie R Young for the patch.  Closes: #847031
  * debian/control: move the homepage to the Homepage field.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 08 Mar 2017 21:34:16 +0100

socklog (2.1.0-8) unstable; urgency=low

  * debian/diff/socklog-conf-update-service.diff: new; refer to
    update-service(8) instead of symlinks in /var/service/.
  * debian/rules: target build: apply socklog-conf-update-service.diff.
  * debian/etc/klog/run: cut: fields and positions are numbered from 1,
    not 0.
  * debian/socklog-run.postinst, debian/socklog-run.prerm: use runit's
    update-service program to add/remove services from system-wide service
    supervision, instead of dealing with symlinks in /var/service/ directly.
  * debian/rules: no longer include dangling links for ./supervise/
    subdirectories, update-service now takes care of this.
  * debian/socklog-run.postinst: remove socklog-unix, socklog-klog services
    on upgrade from <= 2.1.0-7, re-add afterwards through update-service,
    and restore ./supervise/ symlinks for other enabled socklog services.
  * debian/socklog-run.postrm: purge: adapt paths in /var/run/; force-stop
    socklog services; remove ./supervise/ subdirectories (or symlinks) in
    service directories.
  * debian/control: Standards-Version: 3.7.3.0.
  * debian/control: package socklog-run: Depends: runit (>= 1.8.0-2) (1st
    version that provides the update-service program).
  * debian/socklog.README.Debian: typo.

 -- Gerrit Pape <pape@smarden.org>  Thu, 14 Feb 2008 01:58:07 +0000

socklog (2.1.0-7) unstable; urgency=low

  * debian/diff/tryto-n.diff: new; don't report failure if the final try
    of prog succeeds (thx Andras Korn, closes: #401547).
  * debian/rules: apply tryto-n.diff.

 -- Gerrit Pape <pape@smarden.org>  Sat,  9 Dec 2006 10:34:40 +0000

socklog (2.1.0-6) unstable; urgency=medium

  * debian/socklog.postrm: check for deluser being available, if not,
    print warning and don't remove system user (closes: #398539).

 -- Gerrit Pape <pape@smarden.org>  Fri, 17 Nov 2006 20:09:56 +0000

socklog (2.1.0-5) unstable; urgency=low

  * debian/socklog.postinst: don't make the log service system user
    log member of group adm, but nogroup; log's home directory is
    /nonexistent (closes: #396687).
  * debian/socklog-run.postinst: make log directories mode 2750, owner
    log:adm.

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Nov 2006 20:27:25 +0000

socklog (2.1.0-4) unstable; urgency=low

  * debian/control: socklog-run: no longer Depends: ipsvd, as package
    socklog Recommends: ipsvd, and it's only necessary for optional
    tcp and/or ssl network logging.
  * debian/socklog-run.README.Debian: service directories are in /etc/sv/.
  * debian/control: Standards-Version: 3.7.2.0.
  * debian/implicit: update to revision 1.11.
  * debian/copyright: 2006.

 -- Gerrit Pape <pape@smarden.org>  Sat, 27 May 2006 16:13:14 +0000

socklog (2.1.0-3) unstable; urgency=low

  * debian/socklog-run.postinst: really deal properly with dangling
    symlinks in /var/service/ (closes: #358133).

 -- Gerrit Pape <pape@smarden.org>  Fri, 24 Mar 2006 11:25:54 +0000

socklog (2.1.0-2) unstable; urgency=low

  * debian/socklog-run.postinst: properly deal with dangling socklog
    service symlinks in /var/service/ (closes: #358133).

 -- Gerrit Pape <pape@smarden.org>  Tue, 21 Mar 2006 19:14:41 +0000

socklog (2.1.0-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: put service directories into /etc/sv/, name them
    ./socklog-*/; rename /var/run/socklog* to /var/run/sv.socklog*.
  * debian/socklog-run.conffiles: adapt.
  * debian/socklog-run.preinst, debian/socklog-run.postinst: move
    conffiles, preserve user changes.
  * debian/socklog-run.preinst: new; check old conffiles for user
    changes.

 -- Gerrit Pape <pape@smarden.org>  Sat, 18 Mar 2006 08:31:57 +0000

socklog (2.0.2-2) unstable; urgency=low

  * debian/etc/unix/check: new; use the socklog-check program to check
    for the availability of listener on /dev/log.
  * debian/rules: install debian/etc/unix/check.
  * debian/README.Debian.diet: wording.
  * debian/control: slightly update descriptions; Depends: runit (>>
    1.3.0-0); Standards-Version: 3.6.2.0.
  * debian/socklog-run.conffiles: add /etc/socklog/unix/check.
  * debian/socklog-run.prerm: use the sv program instead of svwaitdown
    to take down services.
  * debian/socklog.README.Debian: minor.

 -- Gerrit Pape <pape@smarden.org>  Wed,  5 Oct 2005 08:02:36 +0000

socklog (2.0.2-1) unstable; urgency=low

  * new upstream point release.
  * debian/control: remove version restriction from Depends: runit.
  * debian/socklog-run.README.Debian, debian/socklog.README.Debian: minor
    updates.
  * debian/socklog-run.postinst, debian/socklog-run.postrm,
    socklog-run.prerm, debian/socklog.postinst, debian/socklog.postrm:
    more cleanup.

 -- Gerrit Pape <pape@smarden.org>  Fri, 15 Apr 2005 09:56:53 +0000

socklog (2.0.0-1) unstable; urgency=low

  * new upstream release.
  * debian/diff/socklog-check.check.diff: remove; applied upstream.
  * debian/rules: don't apply patch; cleanup.
  * debian/implicit: update to revision 1.10.
  * debian/socklog-run.postinst, debian/socklog-run.postrm,
    debian/socklog-run.prerm, debian/socklog.postinst,
    debian/socklog.postrm: cleanup.

 -- Gerrit Pape <pape@smarden.org>  Sun,  6 Feb 2005 19:57:15 +0000

socklog (1.5.0-2) unstable; urgency=low

  * debian/diff/socklog-check.check.diff: new; tweak timing in socklog-check
    program test (fixes build failure on arm, m68k).
  * debian/rules: apply diff.

 -- Gerrit Pape <pape@smarden.org>  Sun, 27 Jun 2004 18:31:06 +0000

socklog (1.5.0-1) unstable; urgency=low

  * new upstream version.
  * debian/implicit: update to revision 1.8.
  * debian/rules: use -g -O2.
  * debian/socklog.docs: add debian/README.Debian.diet.
  * debian/README.Debian.diet: new; how to build the package with the diet
    libc.

 -- Gerrit Pape <pape@smarden.org>  Sat, 26 Jun 2004 11:28:42 +0000

socklog (1.4.2-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/uncat.check.diff: remove; applied upstream.
  * debian/rules: don't apply diff.
  * debian/implicit: update to revision 1.7.
  * debian/socklog-run.dirs, debian/socklog-run.links: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Thu, 25 Mar 2004 09:36:27 +0000

socklog (1.4.1-2) unstable; urgency=low

  * debian/diff/uncat.check.diff: new; extend timeout while checking uncat
    program (fixes build failure on hppa).
  * debian/rules: apply diff.

 -- Gerrit Pape <pape@smarden.org>  Sun, 29 Feb 2004 16:52:17 +0000

socklog (1.4.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sat, 28 Feb 2004 17:48:14 +0000

socklog (1.4.0-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: link statically against diet libc if $DEB_BUILD_OPTIONS
    set 'diet'; minor.
  * debian/implicit: update to revision 1.5.

 -- Gerrit Pape <pape@smarden.org>  Sat, 28 Feb 2004 16:32:01 +0000

socklog (1.3.1-2) unstable; urgency=low

  * debian/etc/klog/run: linux kernels 2.6.x don't allow to read from the
    filedescriptor as unprivileged user after opening /proc/kmsg as root,
    and dropping permissions afterwards; therefore run the socklog program
    in the socklog-klog service with root privileges under 2.6.x kernels
    as a workaround.

 -- Gerrit Pape <pape@smarden.org>  Sat, 24 Jan 2004 09:35:14 +0000

socklog (1.3.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 19 Jan 2004 13:56:52 +0000

socklog (1.3.0-1) unstable; urgency=low

  * new upstream version.
  * debian/control: no longer Build-Depends: debhelper; Standards-Version:
    3.6.1.0; update short description.
  * debian/rules: stop using debhelper, use implicit rules; install html
    documentation into /usr/share/doc/socklog/ (no subdirectory).
  * debian/implicit: new; implicit Makefile rules.
  * debian/socklog-run.postinst, debian/socklog-run.postrm,
    debian/socklog-run.prerm: simplify; stop using debhelper.
  * debian/README.Debian, debian/docs, debian/postinst, debian/postrm: rename
    to debian/socklog.`basename`.
  * debian/socklog.postinst, debian/socklog.postrm: simplify; stop using
    debhelper.
  * debian/socklog-run.conffiles: new.
  * debian/dirs: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Thu, 15 Jan 2004 15:42:50 +0000

socklog (1.2.0-3) unstable; urgency=low

  * debian/rules: target clean: remove all relevant *-stamp files.
  * debian/etc/klog/log/run: use -tt switch to svlogd instead of -t to do
    human readable UTC timestamps instead of TAI timestamps for kernel log.
  * debian/control: package socklog: Recommends: runit (>> 0.11.2-0);
    package socklog-run: Depends: runit (>> 0.11.2-0) (closes: #211371).

 -- Gerrit Pape <pape@smarden.org>  Thu, 25 Sep 2003 11:35:55 +0000

socklog (1.2.0-2) unstable; urgency=low

  * debian/control: new package socklog-run: sets up system and kernel
    log service; Provides: system-log-daemon, linux-kernel-log-daemon,
    Conflicts: system-log-daemon, linux-kernel-log-daemon, Depends: socklog,
    runit (>> 0.10.0-0), ipsvd.
  * debian/control: package socklog: contains socklog programs only; no
    longer Provides: system-log-daemon; Recommends: socklog-run, runit (>>
    0.10.0-0), ipsvd.
  * debian/control: Standards-Version: 3.6.0; adapt descriptions.
  * debian/rules: additionally build binary-indep package socklog-run.
  * debian/README.Debian: adapt.
  * debian/etc/*: new; socklog service directories.
  * socklog-run.README.Debian, socklog-run.dirs, socklog-run.links,
    socklog-run.postinst, socklog-run.postrm, socklog-run.prerm: new.

 -- Gerrit Pape <pape@smarden.org>  Mon,  8 Sep 2003 17:06:42 +0200

socklog (1.2.0-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sat,  9 Aug 2003 18:20:13 +0200

socklog (1.1.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon,  7 Jul 2003 09:57:40 +0200

socklog (1.1.0-1) unstable; urgency=low

  * new upstream version; cooperates with the runit package instead
    of the daemontools package.
  * first official debian package (closes: #196864).
  * debian/control: Standards-Version: 3.5.10; Depends: runit (>> 0.10.0-0),
    adduser; Recommends: ipsvd; Provides: system-log-daemon,
    linux-kernel-log-daemon; adapt package description.
  * debian/postinst: create system user ``log''; cleanup on upgrade.
  * debian/preinst: remove, obsolete.
  * debian/postrm: remove system user ``log'' on purge.
  * debian/rules: install binaries in /usr/sbin, /usr/bin.
  * debian/README.Debian: new.

 -- Gerrit Pape <pape@smarden.org>  Thu, 26 Jun 2003 09:43:34 +0200

socklog (1.0.0-1) sarge; urgency=low

  * new upstream version, see /package/admin/socklog/package/CHANGES.
  * debian/preinst: use getent to check if user log exists.
  * debian/copyright: include upstream source url.
  * debian/rules: use dh_strip; minor cleanup.
  * debian/control: depends on runit | daemontools; minor change in
    long description.

 -- Gerrit Pape <pape@smarden.org>  Thu, 30 Jan 2003 13:33:15 +0100

socklog (0.10.1-1) sarge; urgency=low

  * /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Thu,  8 Aug 2002 23:01:03 +0200

socklog (0.10.0-1) woody; urgency=low

  * See /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Thu, 18 Jul 2002 15:59:23 +0200

socklog (0.9.1-1) woody; urgency=low

  * See /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Wed, 26 Jun 2002 15:54:52 +0200

socklog (0.9.0-1) woody; urgency=low

  * See /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Fri, 31 May 2002 14:33:48 +0200

socklog (0.8.2-1) woody; urgency=low

  * See /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Sat, 18 May 2002 15:03:23 +0200

socklog (0.8.1-1) woody; urgency=low

  * See /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Sun, 28 Apr 2002 10:41:34 +0200

socklog (0.8.0-1) woody; urgency=low

  * See /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Sat, 27 Apr 2002 10:29:15 +0200

socklog (0.7.0-1) woody; urgency=low

  * See /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Mon,  4 Feb 2002 11:37:13 +0100

socklog (0.6.1-2) woody; urgency=low

  * postinst: Use adduser ... --ingroup instead of --group which failed.

 -- Gerrit Pape <pape@smarden.org>  Fri, 25 Jan 2002 12:04:10 +0100

socklog (0.6.1-1) woody; urgency=low

  * See /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Thu, 17 Jan 2002 11:43:36 +0100

socklog (0.6.0-1) woody; urgency=low

  * See /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Sat, 12 Jan 2002 14:18:57 +0100

socklog (0.5.4-1) woody; urgency=low

  * See /package/admin/socklog/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Sun, 30 Dec 2001 19:18:29 +0100

socklog (0.5.1-1) woody; urgency=low

  * socklog: changed undocumented option -v to -V
  * Makefile: does not require gnu make (thx Jordan Krushen)
  * socklog-conf added
  * run socklog with softlimit
  * socklog-group mandatory, notify fifo mode 0620
  * admin/socklog/etc removed
  * doc: adapted
  * deb: create user log as member of group adm
  * deb: /etc/socklog removed, debian/conffiles empty
  * deb: /var/log/socklog* removed
  * deb: reorganized debian/rules
  * package socklog moved to smarden.org

 -- Gerrit Pape <pape@smarden.org>  Tue, 20 Nov 2001 11:36:23 +0100

socklog (0.4.1-1) woody; urgency=low

  * uncat: continue; on error_again, fixes wrong timeouts
  * uncat: more verbose on -v
  * deb: moved to unofficial, fhs failures
  * socklog-notify: use mailsubj
  * doc: improved configuration.html
  * doc: how to disable log event notifications

 -- Gerrit Pape <pape@smarden.org>  Fri, 12 Oct 2001 11:08:56 +0200

socklog (0.4.0-1) woody; urgency=low

  * changed maintainer email address to <pape@smarden.org>
  * BSD license
  * minor documentation changes

 -- Gerrit Pape <pape@smarden.org>  Fri, 21 Sep 2001 17:43:09 +0200

socklog (0.3.6-1) woody; urgency=low

  * new: tryto, uncat
  * new: network logging concept
  * new: log event notification
  * deb: cleaner binary package (rm -rf (socklog/{compile,etc,doc,man})
  * documentation updated

 -- Gerrit Pape <pape@innominate.com>  Mon, 17 Sep 2001 18:26:12 +0200

socklog (0.3.0-1) woody; urgency=low

  * installs into /package (see http://cr.yp.to/slashpackage.html)
  * no code changes

 -- Gerrit Pape <pape@innominate.com>  Tue, 14 Aug 2001 12:26:02 +0200

socklog (0.2.2) unstable; urgency=low

  * LDFLAGS for solaris in Makefile
  * benefits.html added, describing logfile rotation based on file size

 -- Gerrit Pape <pape@innominate.com>  Fri, 22 Jun 2001 11:59:10 +0200

socklog (0.2.1) unstable; urgency=low

  * support for solaris (thx Gary Gendel)
  * deb: provides: system-log-daemon (thx ska)

 -- Gerrit Pape <pape@innominate.com>  Tue, 19 Jun 2001 11:48:28 +0200

socklog (0.2.0) unstable; urgency=low

  * ucspi mode added
  * use setgroups() before setgid() (thx ari)
  * buffering output (thx ari)
  * doc: Examples added (thx Eduardo Augusto Alvarenga, Paul Jarc)
  * compiles on openbsd 2.9 (thx clemensF)

 -- Gerrit Pape <pape@innominate.com>  Mon, 11 Jun 2001 13:31:42 +0200

socklog (0.1.2) unstable; urgency=low

  * documentation improved

 -- Gerrit Pape <pape@innominate.com>  Fri,  1 Jun 2001 10:50:36 +0200

socklog (0.1.1) unstable; urgency=low

  * deb: provides log directories for default log/run files
  * deb: add user 'log' in postinst
  * documentation improved

 -- Gerrit Pape <pape@innominate.com>  Tue, 29 May 2001 13:26:24 +0200

socklog (0.1.0) unstable; urgency=low

  * Initial Release

 -- Gerrit Pape <pape@innominate.com>  Mon, 28 May 2001 11:39:36 +0200

Local variables:
mode: debian-changelog
End:
